# Standard Error Format

{% hint style="info" %}
If an error is not in this format it is likely something has gone wrong on our end. We're setup to automatically catch `500` errors but if you think you can give us some more info feel free to email us at <support@tistraining.com>
{% endhint %}

{% tabs %}
{% tab title="Schema" %}

<table><thead><tr><th width="176">Name</th><th width="115">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>code</code></td><td><code>string</code></td><td>A code for the error. This should be used when trying to catch specific errors.</td></tr><tr><td><code>message</code></td><td><code>string</code></td><td>A human readable message that may help explain what went wrong.</td></tr><tr><td><code>details</code></td><td><code>dynamic</code></td><td>Further details about the error if applicable. This will change based on the type of error and sometimes may not be included.</td></tr></tbody></table>
{% endtab %}

{% tab title="Example" %}

```json
{
    "code": "EXAMPLE_CODE",
    "message": "Example Message",
    "details": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tistraining.com/api-reference/standard-error-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
